# Submitting a native transaction request

Before requesting a transaction, ensure that you encode the value in hexadecimal format.

```javascript
const amountToSend = BigInt("10000000000000000");  //0.1 NATIVE TOKEN (ETH/BNB/AVAX etc)
const value = "0x" + amountToSend.toString(16)
```

You also need to add the necessary parameters before requesting a transaction.

```javascript
const from = userAddress //the address you're sending from (connected users address)
const to = "0x0000000000000000000000000000000000000000" // the address you're sending the transaction to 
const data = "0x" // the data which is always 0x when sending a native transaction
```

Next, create the transaction object

```javascript
const tx = {
  from,
  to,
  data,
  value,
},
```

Finally, obtain the chain ID, which can be found at the following URL: (<https://chainlist.org>)

```javascript
const chainId = 1; // ETH chain id
```

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/alturaguard/request`

#### Request Body

| Name                                            | Type   | Description                             |
| ----------------------------------------------- | ------ | --------------------------------------- |
| token<mark style="color:red;">\*</mark>         | String | User token recieved when authenticating |
| reqParameters<mark style="color:red;">\*</mark> | array  | `["transaction", tx, chainId]`          |

{% tabs %}
{% tab title="200: OK requestId" %}

```javascript
requestId
```

{% endtab %}

{% tab title="400: Bad Request Invalid reqParameters" %}

{% endtab %}

{% tab title="401: Unauthorized Invalid token" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/altura-guard-ii/transaction-requests/submitting-a-native-transaction-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
